Subject: Re: bug#7350: 24.0.50; make vc-deduce-backend smarter

From: Stefan Monnier <[email-masked]>
Date: Mon, 15 Nov 2010 11:05:11 -0500

> Hmm.  TRT would be to figure this out in the "interactive" form, so that
> repeat-complex-command works, but that would change the args to vc-diff.
> How big a change are you willing to contemplate?

A largish patch is not a problem in and of itself (except for copyright
reasons, but once you've signed the paperwork it's a non-issue).  So the
only reason to reject such a change would be if it made the code
conceptually more tricky/complex.  From the sound of it, it would make
it actually more regular, more in line with the usual way commands work
in Emacs, so it seems OK.
Of course, there is also the risk of introducing bugs/incompatibilities,
so try and make extra sure you take into account all callers.

        Stefan